﻿**Creacion de variables para chequear resultados de Somoza y Lattes (1967)***

***Base 1895***

***Se pasan a missing para respetar resultados***

RECODE sex (9=SYSMIS).
RECODE age (99=SYSMIS).
RECODE marital (9=SYSMIS).
EXECUTE.

***Grupos de edad***

RECODE age (0 thru 4 = 1) (5 thru 9 = 2) (10 thru 14 = 3) (15 thru 19 = 4) (20 thru 24 = 5) (25 thru 29 = 6) 
(30 thru 34 = 7) (35 thru 39 = 8) (40 thru 44 = 9) (45 thru 49 = 10) (50 thru 54 = 11) (55 thru 59 = 12) (60 thru 64 = 13) 
(65 thru 69 = 14) (70 thru 74 = 15) (75 thru 79 = 16) (80 thru 84 = 17) (85 THRU highest = 18) 
INTO edad_r18. 

***Migrantes / nativos***

RECODE birthplace (1 thru 29 = 1) (30 thru highest = 0) iNTO nativo.

***Filtros***

***Filtro de edad***

RECODE age (0 thru 5 = 0) (6 thru 14 = 1) (15 thru HIGHEST = 0) INTO f_edad_edu.
RECODE age (0 thru 9 = 0) (10 thru highest = 1) INTO f_edad_10.
RECODE age (0 thru 11 = 0) (11 thru highest = 1) INTO f_edad_12.
RECODE age (0 thru 13 = 0) (14 thru highest =1) INTO f_edad_14.
RECODE age (0 thru 14 = 0) (14 thru highest = 1) INTO f_edad_15.
EXECUTE.

***Filtro para fecundidad***

COMPUTE f_fecundidad = 0.
IF SEX = 2 AND age > 11 AND ( MARITAL = 2 OR MARITAL =3) f_fecundidad = 1.

***Condición de atividad¨***

Do if occup = 99. 
IF occupos = 0 no_activos = 0. 
IF occupos = 1 no_activos = 1. 
IF occupos = 2 no_activos = 2. 
IF occupos = 3 no_activos = 3. 
IF occupos = 4 no_activos = 4. 
IF occupos = 5 no_activos = 5. 
IF occupos = 6 no_activos = 6. 
end if. 
 
IF occup = 0 & occupos = 0 no_activos = 7.

value labels 
no_activos 
0 ' Rentistas ' 
1 ' Estudiantes ' 
2 ' Rufianos, prostitutas y mendigos ' 
3 ' Religiosos ' 
4 ' Quehaceres o trabajos domésticos ' 
5 ' Legaciones extranjeras ' 
6 ' Jubilados ' 
7 ' Desconocido (sin rama, sin posición y no ocupado) '. 
 
***Condición de actividad*** 
 
COMPUTE actividad =1. 
IF no_activos <= 6 actividad = 2. 
IF no_activos = 7 actividad = 9. 

EXECUTE.

VARIABLE LABELS
edad_r18 ' Grupos de Edad de 5 años. 18 grupos'
nativo 'Nativo/No nativo'
actividad ' Activo/No activo/Desconocido'
f_edad_10 'Filtro de edad 10 años y más'.
 
VALUE LABELS 
edad_r18
1 '0-4 años'
2 '5-9 años'
3 '10-14 años'
4 '15-19 años'
5 '20-24 años'
6 '25-29 años'
7 '30-34 años'
8 '35-39 años'
9 '40-44 años'
10 '45-49 años'
11 '50-54 años'
12 '55-59 años'
13 '60-64 años'
14 '65-69 años'
15 '70-74 años'
16 '75-79 años'
17 '80-85 años'
18 '85 años y +'
/
nativo
0 'No Nativo'
1 'Nativo'
/
actividad
1 'Activo'
2 ' No activo'
9 'Desconocido'
/
f_edad_10
0 'Menos de 10 años'
1 '10 años y +'.

***Salidas para comparar con Somoza y Lattes (1967)***

***Tabla 1. Población por lugar de nacimiento, sexo y edad. Pag. 87***

CTABLES
  /VLABELS VARIABLES=age nativo sex DISPLAY=LABEL
  /TABLE age [C] BY nativo [C] > sex [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=age sex ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=nativo [1.00, .00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

***Tabla 2. Población de 14 o más años por lugar de nacimiento, sexo, estado civil y edad. Pag. 91***

filter off.
filter by f_edad_14.

CTABLES
  /VLABELS VARIABLES=nativo age sex marital DISPLAY=LABEL
  /TABLE nativo [C] > age [C] BY sex [C] > marital [C][COUNT F40.0]
/SLABELS VISIBLE = NO
  /CATEGORIES VARIABLES=nativo [1.00, .00, OTHERNM] EMPTY=EXCLUDE Total = yes POSITION=AFTER
/CATEGORIES VARIABLES = age sex ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=marital ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES.

***Tabla 3. Población por residencia, lugar de nacimiento, sexo y grupo de edades. Pag. 102***

filter off.

CTABLES
  /VLABELS VARIABLES= urban edad_r18 sex nativo DISPLAY=LABEL
  /TABLE urban [C] > edad_r18 [C] BY nativo [C] > sex [C][COUNT F40.0]
/SLABELS VISIBLE = NO
  /CATEGORIES VARIABLES=urban [1.00, .00, OTHERNM] EMPTY=EXCLUDE Total = yes POSITION=AFTER
/CATEGORIES VARIABLES = edad_r18 sex ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=nativo [1.00, .00, OTHERNM] EMPTY=EXCLUDE TOTAL=NO.

***Tabla 4. Población mayor de 15 años por alfabetismo, lugar de nacimiento, sexo y grupos de edad. Pag. 105***

***Correción hecha por el cuadro***

IF ID = 98537 lit = 9.
filter off.
filter by f_edad_15.

CTABLES
  /VLABELS VARIABLES= lit edad_r18 sex nativo DISPLAY=LABEL
  /TABLE lit [C] > edad_r18 [C] BY nativo [C] > sex [C][COUNT F40.0]
/SLABELS VISIBLE = NO
  /CATEGORIES VARIABLES=lit EMPTY=EXCLUDE Total = yes POSITION=AFTER
/CATEGORIES VARIABLES = edad_r18 sex ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=nativo [1.00, .00, OTHERNM] EMPTY=EXCLUDE TOTAL=NO.

***Tabla 5. Población mayor de 15 años por alfabetismo, residencia, sexo y grupos de edad. Pag. 109***

IF ID=65415 lit =9.

FILTER OFF.
FILTER by f_edad_15.

CTABLES
  /VLABELS VARIABLES= lit edad_r18 sex urban DISPLAY=LABEL
  /TABLE lit [C] > edad_r18 [C] BY urban [C] > sex [C][COUNT F40.0]
/SLABELS VISIBLE = NO
  /CATEGORIES VARIABLES=lit EMPTY=EXCLUDE Total = yes POSITION=AFTER
/CATEGORIES VARIABLES = edad_r18 sex ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=urban [1.00, .00, OTHERNM] EMPTY=EXCLUDE TOTAL=NO.

****Tabla 6. Población en edad escolar (6-14 años) por residencia, sexo y edad. Pag. 113***
***Valores (3) se pasan a desconocido***

IF ID=4836  school = 9.
IF ID=3407  school = 9.


FILTER OFF.
FILTER By f_edad_edu.

CTABLES
  /VLABELS VARIABLES= school age sex urban DISPLAY=LABEL
  /TABLE school [C] > age [C] BY urban [C] > sex [C][COUNT F40.0]
/SLABELS VISIBLE = NO
  /CATEGORIES VARIABLES=school EMPTY=EXCLUDE Total = yes POSITION=AFTER
/CATEGORIES VARIABLES = age sex ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=urban [1.00, .00, OTHERNM] EMPTY=EXCLUDE TOTAL=NO.

***Tabla 7. Población mayor de 10 años por actividad económica, lugar de nacimiento, sexo y grupos de edad. Pag. 117***

FILTER OFF.
FILTER BY f_edad_10.

CTABLES
  /VLABELS VARIABLES= actividad  edad_r18 sex nativo DISPLAY=LABEL
  /TABLE actividad [C] > edad_r18 [C] BY nativo [C] > sex [C][COUNT F40.0]
/SLABELS VISIBLE = NO
  /CATEGORIES VARIABLES=actividad [1.00, .00, OTHERNM] EMPTY=EXCLUDE Total = yes POSITION=AFTER
/CATEGORIES VARIABLES = edad_r18 sex ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=nativo [1.00, .00, OTHERNM] EMPTY=EXCLUDE TOTAL=NO.

***Tabla 8. Población mayor de 10 años por actividad económica, residencia, sexo y grupos de edad. Pag. 121***

FILTER OFF.
FILTER BY f_edad_10.

CTABLES
  /VLABELS VARIABLES= actividad  edad_r18 sex urban DISPLAY=LABEL
  /TABLE actividad [C] > edad_r18 [C] BY urban [C] > sex [C][COUNT F40.0]
/SLABELS VISIBLE = NO
  /CATEGORIES VARIABLES=actividad [1.00, .00, OTHERNM] EMPTY=EXCLUDE Total = yes POSITION=AFTER
/CATEGORIES VARIABLES = edad_r18 sex ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=urban [1.00, .00, OTHERNM] EMPTY=EXCLUDE TOTAL=NO.

***Tabla 9. Mujeres casadas y viudas mayores de 12 años por lugar de nacimiento, número de hios tenidos y grupos de edad. Pag. 125***

FILTER OFF.
FILTER BY f_fecundidad.

CTABLES
  /VLABELS VARIABLES= nativo  edad_r18 childrens DISPLAY=LABEL
  /TABLE nativo [C] > edad_r18 [C] BY childrens [C] [COUNT F40.0]
/SLABELS VISIBLE = NO
  /CATEGORIES VARIABLES=nativo [1.00, .00, OTHERNM] EMPTY=EXCLUDE Total = yes POSITION=AFTER
/CATEGORIES VARIABLES = edad_r18 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

***Tabla 10. Mujeres casadas y viudas mayores de 12 años por residencia, número de hijos tenidos y grupos de edad. Pag. 127***
 
FILTER OFF.
FILTER BY f_fecundidad.

CTABLES
  /VLABELS VARIABLES= urban  edad_r18 childrens DISPLAY=LABEL
  /TABLE urban [C] > edad_r18 [C] BY childrens [C] [COUNT F40.0]
/SLABELS VISIBLE = NO
  /CATEGORIES VARIABLES=urban [1.00, .00, OTHERNM] EMPTY=EXCLUDE Total = yes POSITION=AFTER
/CATEGORIES VARIABLES = edad_r18 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

***Tabla 11. Mujeres casadas y viudas mayores de 12 años y total de hijos tenidos por lugar de nacimiento, alfabetismo y grupos de edad. Pag. 130***

FILTER OFF.
FILTER BY f_fecundidad.

CTABLES
  /VLABELS VARIABLES=nativo edad_r18 lit sex childrens DISPLAY=LABEL
  /TABLE nativo [C] > edad_r18 [C] BY lit [C] > (sex [C][COUNT F40.0] + childrens [S][SUM])
  /CATEGORIES VARIABLES=nativo [1.00, .00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=edad_r18 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=lit [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=sex [2] EMPTY=EXCLUDE.













